Subject: Re: [PATCH 12/14] spi: spi-at91-usart: Make use of the defined 'struct of_device_id'

From: Alexandre Belloni <[email-masked]>
Date: Thu, 16 Jul 2020 10:50:23 +0200

On 16/07/2020 08:56:06+0100, Lee Jones wrote:
> On Wed, 15 Jul 2020, Alexandre Belloni wrote:
> 
> > Hi Lee,
> > 
> > On 15/07/2020 16:06:30+0100, Lee Jones wrote:
> > > It's there so why not use it.
> > > 
> > 
> > Is that the correct resolution? Isn't the proper thing to do simply
> > removing at91_usart_spi_dt_ids as the only way it will ever be probed is
> > through drivers/mfd/at91-usart.c and I would think matching the driver
> > name is enough.
> 
> I'm 50/50 on this.
> 
> Happy with whatever the authors/maintainers decide most appropriate.
> 

Seeing that the compatible string is not documented or used by any dts,
I would go for the removal.

> > > Fixes the following W=1 kernel build warning(s):
> > > 
> > >  drivers/spi/spi-at91-usart.c:684:34: warning: ‘at91_usart_spi_dt_ids’ defined but not used [-Wunused-const-variable=]
> > >  684 | static const struct of_device_id at91_usart_spi_dt_ids[] = {
> > >  | ^~~~~~~~~~~~~~~~~~~~~
> > > 
> > > Cc: Radu Pirea <[email-masked]>
> > > Cc: Nicolas Ferre <[email-masked]>
> > > Cc: Alexandre Belloni <[email-masked]>
> > > Cc: Ludovic Desroches <[email-masked]>
> > > Signed-off-by: Lee Jones <[email-masked]>
> > > ---
> > >  drivers/spi/spi-at91-usart.c | 1 +
> > >  1 file changed, 1 insertion(+)
> > > 
> > > diff --git a/drivers/spi/spi-at91-usart.c b/drivers/spi/spi-at91-usart.c
> > > index 88033422a42ae..d47a20be43ccd 100644
> > > --- a/drivers/spi/spi-at91-usart.c
> > > +++ b/drivers/spi/spi-at91-usart.c
> > > @@ -692,6 +692,7 @@ static struct platform_driver at91_usart_spi_driver = {
> > >  	.driver = {
> > >  		.name = "at91_usart_spi",
> > >  		.pm = &at91_usart_spi_pm_ops,
> > > +		.of_match_table = at91_usart_spi_dt_ids,
> > >  	},
> > >  	.probe = at91_usart_spi_probe,
> > >  	.remove = at91_usart_spi_remove,
> > 
> 
> -- 
> Lee Jones [李琼斯]
> Senior Technical Lead - Developer Services
> Linaro.org │ Open source software for Arm SoCs
> Follow Linaro: Facebook | Twitter | Blog

-- 
Alexandre Belloni, Bootlin
Embedded Linux and Kernel engineering
https://bootlin.com

_______________________________________________
linux-arm-kernel mailing list
[email-masked]
http://lists.infradead.org/mailman/listinfo/linux-arm-kernel